source: Makefile.in @ 42dcae7

aaron-thesisarm-ehcleanup-dtorsctordeferred_resndemanglerenumforall-pointer-decaygc_noraiijacob/cs343-translationjenkins-sandboxmemorynew-astnew-ast-unique-exprnew-envno_listpersistent-indexerpthread-emulationresolv-newstringwith_gc
Last change on this file since 42dcae7 was 3b77289, checked in by Peter A. Buhr <pabuhr@…>, 8 years ago

re-add configure files

  • Property mode set to 100644
File size: 22.8 KB
Line 
1# Makefile.in generated by automake 1.11.3 from Makefile.am.
2# @configure_input@
3
4# Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
5# 2003, 2004, 2005, 2006, 2007, 2008, 2009, 2010, 2011 Free Software
6# Foundation, Inc.
7# This Makefile.in is free software; the Free Software Foundation
8# gives unlimited permission to copy and/or distribute it,
9# with or without modifications, as long as this notice is preserved.
10
11# This program is distributed in the hope that it will be useful,
12# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
13# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
14# PARTICULAR PURPOSE.
15
16@SET_MAKE@
17VPATH = @srcdir@
18pkgdatadir = $(datadir)/@PACKAGE@
19pkgincludedir = $(includedir)/@PACKAGE@
20pkglibdir = $(libdir)/@PACKAGE@
21pkglibexecdir = $(libexecdir)/@PACKAGE@
22am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
23install_sh_DATA = $(install_sh) -c -m 644
24install_sh_PROGRAM = $(install_sh) -c
25install_sh_SCRIPT = $(install_sh) -c
26INSTALL_HEADER = $(INSTALL_DATA)
27transform = $(program_transform_name)
28NORMAL_INSTALL = :
29PRE_INSTALL = :
30POST_INSTALL = :
31NORMAL_UNINSTALL = :
32PRE_UNINSTALL = :
33POST_UNINSTALL = :
34subdir = .
35DIST_COMMON = README $(am__configure_deps) $(srcdir)/Makefile.am \
36        $(srcdir)/Makefile.in $(srcdir)/config.h.in \
37        $(top_srcdir)/configure $(top_srcdir)/driver/Makefile.in \
38        $(top_srcdir)/libcfa/Makefile.in \
39        $(top_srcdir)/translator/Makefile.in AUTHORS COPYING ChangeLog \
40        INSTALL NEWS install-sh missing mkinstalldirs
41ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
42am__aclocal_m4_deps = $(top_srcdir)/configure.in
43am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
44        $(ACLOCAL_M4)
45am__CONFIG_DISTCLEAN_FILES = config.status config.cache config.log \
46 configure.lineno config.status.lineno
47mkinstalldirs = $(SHELL) $(top_srcdir)/mkinstalldirs
48CONFIG_HEADER = config.h
49CONFIG_CLEAN_FILES = translator/Makefile driver/Makefile \
50        libcfa/Makefile
51CONFIG_CLEAN_VPATH_FILES =
52SOURCES =
53DIST_SOURCES =
54RECURSIVE_TARGETS = all-recursive check-recursive dvi-recursive \
55        html-recursive info-recursive install-data-recursive \
56        install-dvi-recursive install-exec-recursive \
57        install-html-recursive install-info-recursive \
58        install-pdf-recursive install-ps-recursive install-recursive \
59        installcheck-recursive installdirs-recursive pdf-recursive \
60        ps-recursive uninstall-recursive
61RECURSIVE_CLEAN_TARGETS = mostlyclean-recursive clean-recursive \
62  distclean-recursive maintainer-clean-recursive
63AM_RECURSIVE_TARGETS = $(RECURSIVE_TARGETS:-recursive=) \
64        $(RECURSIVE_CLEAN_TARGETS:-recursive=) tags TAGS ctags CTAGS \
65        distdir dist dist-all distcheck
66ETAGS = etags
67CTAGS = ctags
68DIST_SUBDIRS = $(SUBDIRS)
69DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
70distdir = $(PACKAGE)-$(VERSION)
71top_distdir = $(distdir)
72am__remove_distdir = \
73  if test -d "$(distdir)"; then \
74    find "$(distdir)" -type d ! -perm -200 -exec chmod u+w {} ';' \
75      && rm -rf "$(distdir)" \
76      || { sleep 5 && rm -rf "$(distdir)"; }; \
77  else :; fi
78am__relativize = \
79  dir0=`pwd`; \
80  sed_first='s,^\([^/]*\)/.*$$,\1,'; \
81  sed_rest='s,^[^/]*/*,,'; \
82  sed_last='s,^.*/\([^/]*\)$$,\1,'; \
83  sed_butlast='s,/*[^/]*$$,,'; \
84  while test -n "$$dir1"; do \
85    first=`echo "$$dir1" | sed -e "$$sed_first"`; \
86    if test "$$first" != "."; then \
87      if test "$$first" = ".."; then \
88        dir2=`echo "$$dir0" | sed -e "$$sed_last"`/"$$dir2"; \
89        dir0=`echo "$$dir0" | sed -e "$$sed_butlast"`; \
90      else \
91        first2=`echo "$$dir2" | sed -e "$$sed_first"`; \
92        if test "$$first2" = "$$first"; then \
93          dir2=`echo "$$dir2" | sed -e "$$sed_rest"`; \
94        else \
95          dir2="../$$dir2"; \
96        fi; \
97        dir0="$$dir0"/"$$first"; \
98      fi; \
99    fi; \
100    dir1=`echo "$$dir1" | sed -e "$$sed_rest"`; \
101  done; \
102  reldir="$$dir2"
103DIST_ARCHIVES = $(distdir).tar.gz
104GZIP_ENV = --best
105distuninstallcheck_listfiles = find . -type f -print
106am__distuninstallcheck_listfiles = $(distuninstallcheck_listfiles) \
107  | sed 's|^\./|$(prefix)/|' | grep -v '$(infodir)/dir$$'
108distcleancheck_listfiles = find . -type f -print
109ACLOCAL = @ACLOCAL@
110AMTAR = @AMTAR@
111AUTOCONF = @AUTOCONF@
112AUTOHEADER = @AUTOHEADER@
113AUTOMAKE = @AUTOMAKE@
114AWK = @AWK@
115BACKEND_CC = @BACKEND_CC@
116CC = @CC@
117CCDEPMODE = @CCDEPMODE@
118CFA_BINDIR = @CFA_BINDIR@
119CFA_INCDIR = @CFA_INCDIR@
120CFA_LIBDIR = @CFA_LIBDIR@
121CFA_PREFIX = @CFA_PREFIX@
122CFLAGS = @CFLAGS@
123CPP = @CPP@
124CPPFLAGS = @CPPFLAGS@
125CPP_PATH = @CPP_PATH@
126CXX = @CXX@
127CXXDEPMODE = @CXXDEPMODE@
128CXXFLAGS = @CXXFLAGS@
129CYGPATH_W = @CYGPATH_W@
130DEFS = @DEFS@
131DEPDIR = @DEPDIR@
132ECHO_C = @ECHO_C@
133ECHO_N = @ECHO_N@
134ECHO_T = @ECHO_T@
135EGREP = @EGREP@
136EXEEXT = @EXEEXT@
137GCC_PATH = @GCC_PATH@
138GREP = @GREP@
139INSTALL = @INSTALL@
140INSTALL_DATA = @INSTALL_DATA@
141INSTALL_PROGRAM = @INSTALL_PROGRAM@
142INSTALL_SCRIPT = @INSTALL_SCRIPT@
143INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
144LDFLAGS = @LDFLAGS@
145LEX = @LEX@
146LEXLIB = @LEXLIB@
147LEX_OUTPUT_ROOT = @LEX_OUTPUT_ROOT@
148LIBOBJS = @LIBOBJS@
149LIBS = @LIBS@
150LTLIBOBJS = @LTLIBOBJS@
151MAKEINFO = @MAKEINFO@
152MKDIR_P = @MKDIR_P@
153OBJEXT = @OBJEXT@
154PACKAGE = @PACKAGE@
155PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
156PACKAGE_NAME = @PACKAGE_NAME@
157PACKAGE_STRING = @PACKAGE_STRING@
158PACKAGE_TARNAME = @PACKAGE_TARNAME@
159PACKAGE_URL = @PACKAGE_URL@
160PACKAGE_VERSION = @PACKAGE_VERSION@
161PATH_SEPARATOR = @PATH_SEPARATOR@
162SET_MAKE = @SET_MAKE@
163SHELL = @SHELL@
164STRIP = @STRIP@
165VERSION = @VERSION@
166YACC = @YACC@
167YFLAGS = @YFLAGS@
168abs_builddir = @abs_builddir@
169abs_srcdir = @abs_srcdir@
170abs_top_builddir = @abs_top_builddir@
171abs_top_srcdir = @abs_top_srcdir@
172ac_ct_CC = @ac_ct_CC@
173ac_ct_CXX = @ac_ct_CXX@
174am__include = @am__include@
175am__leading_dot = @am__leading_dot@
176am__quote = @am__quote@
177am__tar = @am__tar@
178am__untar = @am__untar@
179bindir = @bindir@
180build_alias = @build_alias@
181builddir = @builddir@
182datadir = @datadir@
183datarootdir = @datarootdir@
184docdir = @docdir@
185dvidir = @dvidir@
186exec_prefix = @exec_prefix@
187host_alias = @host_alias@
188htmldir = @htmldir@
189includedir = @includedir@
190infodir = @infodir@
191install_sh = @install_sh@
192libdir = @libdir@
193libexecdir = @libexecdir@
194localedir = @localedir@
195localstatedir = @localstatedir@
196mandir = @mandir@
197mkdir_p = @mkdir_p@
198oldincludedir = @oldincludedir@
199pdfdir = @pdfdir@
200prefix = @prefix@
201preludedir = @preludedir@
202program_transform_name = @program_transform_name@
203psdir = @psdir@
204sbindir = @sbindir@
205sharedstatedir = @sharedstatedir@
206srcdir = @srcdir@
207sysconfdir = @sysconfdir@
208target_alias = @target_alias@
209top_build_prefix = @top_build_prefix@
210top_builddir = @top_builddir@
211top_srcdir = @top_srcdir@
212SUBDIRS = translator driver libcfa
213
214# non-source files
215EXTRA_DIST = Docs
216all: config.h
217        $(MAKE) $(AM_MAKEFLAGS) all-recursive
218
219.SUFFIXES:
220am--refresh: Makefile
221        @:
222$(srcdir)/Makefile.in:  $(srcdir)/Makefile.am  $(am__configure_deps)
223        @for dep in $?; do \
224          case '$(am__configure_deps)' in \
225            *$$dep*) \
226              echo ' cd $(srcdir) && $(AUTOMAKE) --gnu'; \
227              $(am__cd) $(srcdir) && $(AUTOMAKE) --gnu \
228                && exit 0; \
229              exit 1;; \
230          esac; \
231        done; \
232        echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu Makefile'; \
233        $(am__cd) $(top_srcdir) && \
234          $(AUTOMAKE) --gnu Makefile
235.PRECIOUS: Makefile
236Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
237        @case '$?' in \
238          *config.status*) \
239            echo ' $(SHELL) ./config.status'; \
240            $(SHELL) ./config.status;; \
241          *) \
242            echo ' cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe)'; \
243            cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe);; \
244        esac;
245
246$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
247        $(SHELL) ./config.status --recheck
248
249$(top_srcdir)/configure:  $(am__configure_deps)
250        $(am__cd) $(srcdir) && $(AUTOCONF)
251$(ACLOCAL_M4):  $(am__aclocal_m4_deps)
252        $(am__cd) $(srcdir) && $(ACLOCAL) $(ACLOCAL_AMFLAGS)
253$(am__aclocal_m4_deps):
254
255config.h: stamp-h1
256        @if test ! -f $@; then rm -f stamp-h1; else :; fi
257        @if test ! -f $@; then $(MAKE) $(AM_MAKEFLAGS) stamp-h1; else :; fi
258
259stamp-h1: $(srcdir)/config.h.in $(top_builddir)/config.status
260        @rm -f stamp-h1
261        cd $(top_builddir) && $(SHELL) ./config.status config.h
262$(srcdir)/config.h.in:  $(am__configure_deps)
263        ($(am__cd) $(top_srcdir) && $(AUTOHEADER))
264        rm -f stamp-h1
265        touch $@
266
267distclean-hdr:
268        -rm -f config.h stamp-h1
269translator/Makefile: $(top_builddir)/config.status $(top_srcdir)/translator/Makefile.in
270        cd $(top_builddir) && $(SHELL) ./config.status $@
271driver/Makefile: $(top_builddir)/config.status $(top_srcdir)/driver/Makefile.in
272        cd $(top_builddir) && $(SHELL) ./config.status $@
273libcfa/Makefile: $(top_builddir)/config.status $(top_srcdir)/libcfa/Makefile.in
274        cd $(top_builddir) && $(SHELL) ./config.status $@
275
276# This directory's subdirectories are mostly independent; you can cd
277# into them and run `make' without going through this Makefile.
278# To change the values of `make' variables: instead of editing Makefiles,
279# (1) if the variable is set in `config.status', edit `config.status'
280#     (which will cause the Makefiles to be regenerated when you run `make');
281# (2) otherwise, pass the desired values on the `make' command line.
282$(RECURSIVE_TARGETS):
283        @fail= failcom='exit 1'; \
284        for f in x $$MAKEFLAGS; do \
285          case $$f in \
286            *=* | --[!k]*);; \
287            *k*) failcom='fail=yes';; \
288          esac; \
289        done; \
290        dot_seen=no; \
291        target=`echo $@ | sed s/-recursive//`; \
292        list='$(SUBDIRS)'; for subdir in $$list; do \
293          echo "Making $$target in $$subdir"; \
294          if test "$$subdir" = "."; then \
295            dot_seen=yes; \
296            local_target="$$target-am"; \
297          else \
298            local_target="$$target"; \
299          fi; \
300          ($(am__cd) $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
301          || eval $$failcom; \
302        done; \
303        if test "$$dot_seen" = "no"; then \
304          $(MAKE) $(AM_MAKEFLAGS) "$$target-am" || exit 1; \
305        fi; test -z "$$fail"
306
307$(RECURSIVE_CLEAN_TARGETS):
308        @fail= failcom='exit 1'; \
309        for f in x $$MAKEFLAGS; do \
310          case $$f in \
311            *=* | --[!k]*);; \
312            *k*) failcom='fail=yes';; \
313          esac; \
314        done; \
315        dot_seen=no; \
316        case "$@" in \
317          distclean-* | maintainer-clean-*) list='$(DIST_SUBDIRS)' ;; \
318          *) list='$(SUBDIRS)' ;; \
319        esac; \
320        rev=''; for subdir in $$list; do \
321          if test "$$subdir" = "."; then :; else \
322            rev="$$subdir $$rev"; \
323          fi; \
324        done; \
325        rev="$$rev ."; \
326        target=`echo $@ | sed s/-recursive//`; \
327        for subdir in $$rev; do \
328          echo "Making $$target in $$subdir"; \
329          if test "$$subdir" = "."; then \
330            local_target="$$target-am"; \
331          else \
332            local_target="$$target"; \
333          fi; \
334          ($(am__cd) $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
335          || eval $$failcom; \
336        done && test -z "$$fail"
337tags-recursive:
338        list='$(SUBDIRS)'; for subdir in $$list; do \
339          test "$$subdir" = . || ($(am__cd) $$subdir && $(MAKE) $(AM_MAKEFLAGS) tags); \
340        done
341ctags-recursive:
342        list='$(SUBDIRS)'; for subdir in $$list; do \
343          test "$$subdir" = . || ($(am__cd) $$subdir && $(MAKE) $(AM_MAKEFLAGS) ctags); \
344        done
345
346ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
347        list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
348        unique=`for i in $$list; do \
349            if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
350          done | \
351          $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
352              END { if (nonempty) { for (i in files) print i; }; }'`; \
353        mkid -fID $$unique
354tags: TAGS
355
356TAGS: tags-recursive $(HEADERS) $(SOURCES) config.h.in $(TAGS_DEPENDENCIES) \
357                $(TAGS_FILES) $(LISP)
358        set x; \
359        here=`pwd`; \
360        if ($(ETAGS) --etags-include --version) >/dev/null 2>&1; then \
361          include_option=--etags-include; \
362          empty_fix=.; \
363        else \
364          include_option=--include; \
365          empty_fix=; \
366        fi; \
367        list='$(SUBDIRS)'; for subdir in $$list; do \
368          if test "$$subdir" = .; then :; else \
369            test ! -f $$subdir/TAGS || \
370              set "$$@" "$$include_option=$$here/$$subdir/TAGS"; \
371          fi; \
372        done; \
373        list='$(SOURCES) $(HEADERS) config.h.in $(LISP) $(TAGS_FILES)'; \
374        unique=`for i in $$list; do \
375            if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
376          done | \
377          $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
378              END { if (nonempty) { for (i in files) print i; }; }'`; \
379        shift; \
380        if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
381          test -n "$$unique" || unique=$$empty_fix; \
382          if test $$# -gt 0; then \
383            $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
384              "$$@" $$unique; \
385          else \
386            $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
387              $$unique; \
388          fi; \
389        fi
390ctags: CTAGS
391CTAGS: ctags-recursive $(HEADERS) $(SOURCES) config.h.in $(TAGS_DEPENDENCIES) \
392                $(TAGS_FILES) $(LISP)
393        list='$(SOURCES) $(HEADERS) config.h.in $(LISP) $(TAGS_FILES)'; \
394        unique=`for i in $$list; do \
395            if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
396          done | \
397          $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
398              END { if (nonempty) { for (i in files) print i; }; }'`; \
399        test -z "$(CTAGS_ARGS)$$unique" \
400          || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
401             $$unique
402
403GTAGS:
404        here=`$(am__cd) $(top_builddir) && pwd` \
405          && $(am__cd) $(top_srcdir) \
406          && gtags -i $(GTAGS_ARGS) "$$here"
407
408distclean-tags:
409        -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
410
411distdir: $(DISTFILES)
412        $(am__remove_distdir)
413        test -d "$(distdir)" || mkdir "$(distdir)"
414        @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
415        topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
416        list='$(DISTFILES)'; \
417          dist_files=`for file in $$list; do echo $$file; done | \
418          sed -e "s|^$$srcdirstrip/||;t" \
419              -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
420        case $$dist_files in \
421          */*) $(MKDIR_P) `echo "$$dist_files" | \
422                           sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
423                           sort -u` ;; \
424        esac; \
425        for file in $$dist_files; do \
426          if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
427          if test -d $$d/$$file; then \
428            dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
429            if test -d "$(distdir)/$$file"; then \
430              find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
431            fi; \
432            if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
433              cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
434              find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
435            fi; \
436            cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
437          else \
438            test -f "$(distdir)/$$file" \
439            || cp -p $$d/$$file "$(distdir)/$$file" \
440            || exit 1; \
441          fi; \
442        done
443        @list='$(DIST_SUBDIRS)'; for subdir in $$list; do \
444          if test "$$subdir" = .; then :; else \
445            test -d "$(distdir)/$$subdir" \
446            || $(MKDIR_P) "$(distdir)/$$subdir" \
447            || exit 1; \
448          fi; \
449        done
450        @list='$(DIST_SUBDIRS)'; for subdir in $$list; do \
451          if test "$$subdir" = .; then :; else \
452            dir1=$$subdir; dir2="$(distdir)/$$subdir"; \
453            $(am__relativize); \
454            new_distdir=$$reldir; \
455            dir1=$$subdir; dir2="$(top_distdir)"; \
456            $(am__relativize); \
457            new_top_distdir=$$reldir; \
458            echo " (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) top_distdir="$$new_top_distdir" distdir="$$new_distdir" \\"; \
459            echo "     am__remove_distdir=: am__skip_length_check=: am__skip_mode_fix=: distdir)"; \
460            ($(am__cd) $$subdir && \
461              $(MAKE) $(AM_MAKEFLAGS) \
462                top_distdir="$$new_top_distdir" \
463                distdir="$$new_distdir" \
464                am__remove_distdir=: \
465                am__skip_length_check=: \
466                am__skip_mode_fix=: \
467                distdir) \
468              || exit 1; \
469          fi; \
470        done
471        -test -n "$(am__skip_mode_fix)" \
472        || find "$(distdir)" -type d ! -perm -755 \
473                -exec chmod u+rwx,go+rx {} \; -o \
474          ! -type d ! -perm -444 -links 1 -exec chmod a+r {} \; -o \
475          ! -type d ! -perm -400 -exec chmod a+r {} \; -o \
476          ! -type d ! -perm -444 -exec $(install_sh) -c -m a+r {} {} \; \
477        || chmod -R a+r "$(distdir)"
478dist-gzip: distdir
479        tardir=$(distdir) && $(am__tar) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).tar.gz
480        $(am__remove_distdir)
481
482dist-bzip2: distdir
483        tardir=$(distdir) && $(am__tar) | BZIP2=$${BZIP2--9} bzip2 -c >$(distdir).tar.bz2
484        $(am__remove_distdir)
485
486dist-lzip: distdir
487        tardir=$(distdir) && $(am__tar) | lzip -c $${LZIP_OPT--9} >$(distdir).tar.lz
488        $(am__remove_distdir)
489
490dist-lzma: distdir
491        tardir=$(distdir) && $(am__tar) | lzma -9 -c >$(distdir).tar.lzma
492        $(am__remove_distdir)
493
494dist-xz: distdir
495        tardir=$(distdir) && $(am__tar) | XZ_OPT=$${XZ_OPT--e} xz -c >$(distdir).tar.xz
496        $(am__remove_distdir)
497
498dist-tarZ: distdir
499        tardir=$(distdir) && $(am__tar) | compress -c >$(distdir).tar.Z
500        $(am__remove_distdir)
501
502dist-shar: distdir
503        shar $(distdir) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).shar.gz
504        $(am__remove_distdir)
505
506dist-zip: distdir
507        -rm -f $(distdir).zip
508        zip -rq $(distdir).zip $(distdir)
509        $(am__remove_distdir)
510
511dist dist-all: distdir
512        tardir=$(distdir) && $(am__tar) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).tar.gz
513        $(am__remove_distdir)
514
515# This target untars the dist file and tries a VPATH configuration.  Then
516# it guarantees that the distribution is self-contained by making another
517# tarfile.
518distcheck: dist
519        case '$(DIST_ARCHIVES)' in \
520        *.tar.gz*) \
521          GZIP=$(GZIP_ENV) gzip -dc $(distdir).tar.gz | $(am__untar) ;;\
522        *.tar.bz2*) \
523          bzip2 -dc $(distdir).tar.bz2 | $(am__untar) ;;\
524        *.tar.lzma*) \
525          lzma -dc $(distdir).tar.lzma | $(am__untar) ;;\
526        *.tar.lz*) \
527          lzip -dc $(distdir).tar.lz | $(am__untar) ;;\
528        *.tar.xz*) \
529          xz -dc $(distdir).tar.xz | $(am__untar) ;;\
530        *.tar.Z*) \
531          uncompress -c $(distdir).tar.Z | $(am__untar) ;;\
532        *.shar.gz*) \
533          GZIP=$(GZIP_ENV) gzip -dc $(distdir).shar.gz | unshar ;;\
534        *.zip*) \
535          unzip $(distdir).zip ;;\
536        esac
537        chmod -R a-w $(distdir); chmod a+w $(distdir)
538        mkdir $(distdir)/_build
539        mkdir $(distdir)/_inst
540        chmod a-w $(distdir)
541        test -d $(distdir)/_build || exit 0; \
542        dc_install_base=`$(am__cd) $(distdir)/_inst && pwd | sed -e 's,^[^:\\/]:[\\/],/,'` \
543          && dc_destdir="$${TMPDIR-/tmp}/am-dc-$$$$/" \
544          && am__cwd=`pwd` \
545          && $(am__cd) $(distdir)/_build \
546          && ../configure --srcdir=.. --prefix="$$dc_install_base" \
547            $(AM_DISTCHECK_CONFIGURE_FLAGS) \
548            $(DISTCHECK_CONFIGURE_FLAGS) \
549          && $(MAKE) $(AM_MAKEFLAGS) \
550          && $(MAKE) $(AM_MAKEFLAGS) dvi \
551          && $(MAKE) $(AM_MAKEFLAGS) check \
552          && $(MAKE) $(AM_MAKEFLAGS) install \
553          && $(MAKE) $(AM_MAKEFLAGS) installcheck \
554          && $(MAKE) $(AM_MAKEFLAGS) uninstall \
555          && $(MAKE) $(AM_MAKEFLAGS) distuninstallcheck_dir="$$dc_install_base" \
556                distuninstallcheck \
557          && chmod -R a-w "$$dc_install_base" \
558          && ({ \
559               (cd ../.. && umask 077 && mkdir "$$dc_destdir") \
560               && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" install \
561               && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" uninstall \
562               && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" \
563                    distuninstallcheck_dir="$$dc_destdir" distuninstallcheck; \
564              } || { rm -rf "$$dc_destdir"; exit 1; }) \
565          && rm -rf "$$dc_destdir" \
566          && $(MAKE) $(AM_MAKEFLAGS) dist \
567          && rm -rf $(DIST_ARCHIVES) \
568          && $(MAKE) $(AM_MAKEFLAGS) distcleancheck \
569          && cd "$$am__cwd" \
570          || exit 1
571        $(am__remove_distdir)
572        @(echo "$(distdir) archives ready for distribution: "; \
573          list='$(DIST_ARCHIVES)'; for i in $$list; do echo $$i; done) | \
574          sed -e 1h -e 1s/./=/g -e 1p -e 1x -e '$$p' -e '$$x'
575distuninstallcheck:
576        @test -n '$(distuninstallcheck_dir)' || { \
577          echo 'ERROR: trying to run $@ with an empty' \
578               '$$(distuninstallcheck_dir)' >&2; \
579          exit 1; \
580        }; \
581        $(am__cd) '$(distuninstallcheck_dir)' || { \
582          echo 'ERROR: cannot chdir into $(distuninstallcheck_dir)' >&2; \
583          exit 1; \
584        }; \
585        test `$(am__distuninstallcheck_listfiles) | wc -l` -eq 0 \
586           || { echo "ERROR: files left after uninstall:" ; \
587                if test -n "$(DESTDIR)"; then \
588                  echo "  (check DESTDIR support)"; \
589                fi ; \
590                $(distuninstallcheck_listfiles) ; \
591                exit 1; } >&2
592distcleancheck: distclean
593        @if test '$(srcdir)' = . ; then \
594          echo "ERROR: distcleancheck can only run from a VPATH build" ; \
595          exit 1 ; \
596        fi
597        @test `$(distcleancheck_listfiles) | wc -l` -eq 0 \
598          || { echo "ERROR: files left in build directory after distclean:" ; \
599               $(distcleancheck_listfiles) ; \
600               exit 1; } >&2
601check-am: all-am
602check: check-recursive
603all-am: Makefile config.h
604installdirs: installdirs-recursive
605installdirs-am:
606install: install-recursive
607install-exec: install-exec-recursive
608install-data: install-data-recursive
609uninstall: uninstall-recursive
610
611install-am: all-am
612        @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
613
614installcheck: installcheck-recursive
615install-strip:
616        if test -z '$(STRIP)'; then \
617          $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
618            install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
619              install; \
620        else \
621          $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
622            install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
623            "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
624        fi
625mostlyclean-generic:
626
627clean-generic:
628
629distclean-generic:
630        -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
631        -test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
632
633maintainer-clean-generic:
634        @echo "This command is intended for maintainers to use"
635        @echo "it deletes files that may require special tools to rebuild."
636clean: clean-recursive
637
638clean-am: clean-generic mostlyclean-am
639
640distclean: distclean-recursive
641        -rm -f $(am__CONFIG_DISTCLEAN_FILES)
642        -rm -f Makefile
643distclean-am: clean-am distclean-generic distclean-hdr distclean-tags
644
645dvi: dvi-recursive
646
647dvi-am:
648
649html: html-recursive
650
651html-am:
652
653info: info-recursive
654
655info-am:
656
657install-data-am:
658
659install-dvi: install-dvi-recursive
660
661install-dvi-am:
662
663install-exec-am:
664
665install-html: install-html-recursive
666
667install-html-am:
668
669install-info: install-info-recursive
670
671install-info-am:
672
673install-man:
674
675install-pdf: install-pdf-recursive
676
677install-pdf-am:
678
679install-ps: install-ps-recursive
680
681install-ps-am:
682
683installcheck-am:
684
685maintainer-clean: maintainer-clean-recursive
686        -rm -f $(am__CONFIG_DISTCLEAN_FILES)
687        -rm -rf $(top_srcdir)/autom4te.cache
688        -rm -f Makefile
689maintainer-clean-am: distclean-am maintainer-clean-generic
690
691mostlyclean: mostlyclean-recursive
692
693mostlyclean-am: mostlyclean-generic
694
695pdf: pdf-recursive
696
697pdf-am:
698
699ps: ps-recursive
700
701ps-am:
702
703uninstall-am:
704
705.MAKE: $(RECURSIVE_CLEAN_TARGETS) $(RECURSIVE_TARGETS) all \
706        ctags-recursive install-am install-strip tags-recursive
707
708.PHONY: $(RECURSIVE_CLEAN_TARGETS) $(RECURSIVE_TARGETS) CTAGS GTAGS \
709        all all-am am--refresh check check-am clean clean-generic \
710        ctags ctags-recursive dist dist-all dist-bzip2 dist-gzip \
711        dist-lzip dist-lzma dist-shar dist-tarZ dist-xz dist-zip \
712        distcheck distclean distclean-generic distclean-hdr \
713        distclean-tags distcleancheck distdir distuninstallcheck dvi \
714        dvi-am html html-am info info-am install install-am \
715        install-data install-data-am install-dvi install-dvi-am \
716        install-exec install-exec-am install-html install-html-am \
717        install-info install-info-am install-man install-pdf \
718        install-pdf-am install-ps install-ps-am install-strip \
719        installcheck installcheck-am installdirs installdirs-am \
720        maintainer-clean maintainer-clean-generic mostlyclean \
721        mostlyclean-generic pdf pdf-am ps ps-am tags tags-recursive \
722        uninstall uninstall-am
723
724
725# Tell versions [3.59,3.63) of GNU make to not export all variables.
726# Otherwise a system limit (for SysV at least) may be exceeded.
727.NOEXPORT:
Note: See TracBrowser for help on using the repository browser.